import { M as Metric } from './types-CwTG2XyQ.cjs';
export { a as MetricResult, T as TestInfo } from './types-CwTG2XyQ.cjs';
import { T as ToolAction, A as Agent$1, h as AgentConfig, c as MastraStorage$1, b as MastraMemory$1, i as ToolExecutionContext, j as Step, W as Workflow$1, k as WorkflowOptions } from './base-CTdONy0_.cjs';
export { a2 as ActionContext, a1 as BaseCondition, B as BaseStructuredOutputType, N as Config, o as CoreAssistantMessage, m as CoreMessage, n as CoreSystemMessage, C as CoreTool, q as CoreToolMessage, p as CoreUserMessage, z as DefaultLLMStreamObjectOptions, y as DefaultLLMStreamOptions, x as DefaultLLMTextObjectOptions, D as DefaultLLMTextOptions, ae as DependencyCheckOutput, s as EmbedManyResult, r as EmbedResult, E as EvalRow, ak as ExtractSchemaFromStep, an as ExtractSchemaType, al as ExtractStepResult, G as GenerateReturn, J as LLMInnerStreamOptions, K as LLMStreamObjectOptions, I as LLMStreamOptions, H as LLMTextObjectOptions, F as LLMTextOptions, L as LanguageModel, M as Mastra, Q as MemoryConfig, P as MessageResponse, f as MessageType, O as OutputType, ao as PathsToStringProps, ab as ResolverFunctionInput, ac as ResolverFunctionOutput, $ as RetryConfig, R as SharedMemoryConfig, X as StepAction, a5 as StepCondition, a6 as StepConfig, a4 as StepDef, U as StepExecutionContext, _ as StepGraph, aj as StepId, am as StepInputType, Z as StepNode, a7 as StepResult, Y as StepVariableType, S as StorageColumn, g as StorageGetMessagesArg, e as StorageThreadType, w as StreamReturn, v as StructuredOutput, u as StructuredOutputArrayItem, t as StructuredOutputType, ad as SubscriberFunctionOutput, a0 as VariableReference, V as VercelTool, a3 as WhenConditionReturnValue, ag as WorkflowActionParams, ah as WorkflowActions, af as WorkflowActors, a8 as WorkflowContext, aa as WorkflowEvent, a9 as WorkflowLogMessage, aq as WorkflowResumeResult, l as WorkflowRow, ap as WorkflowRunState, ai as WorkflowState, ar as createStep } from './base-CTdONy0_.cjs';
import { M as MastraBase$1 } from './base-DboIg_Cd.cjs';
export { O as OtelConfig, S as SamplingStrategy, T as Telemetry } from './base-DboIg_Cd.cjs';
import { R as RegisteredLogger, a as LogLevel, T as TransportMap, L as Logger } from './index-mKY1XrpK.cjs';
export { B as BaseLogMessage, b as LoggerTransport, M as MultiLogger, c as combineLoggers, n as noopLogger } from './index-mKY1XrpK.cjs';
import { MastraDeployer as MastraDeployer$1 } from './deployer/index.cjs';
export { evaluate } from './eval/index.cjs';
import { Integration as Integration$1, OpenAPIToolset as OpenAPIToolset$1 } from './integration/index.cjs';
export { CohereRelevanceScorer, MastraAgentRelevanceScorer, RelevanceScoreProvider, createSimilarityPrompt } from './relevance/index.cjs';
export { InstrumentClass, OTLPStorageExporter, hasActiveTelemetry, withSpan } from './telemetry/index.cjs';
import { z } from 'zod';
import { Tool as Tool$1 } from './tools/index.cjs';
export { createTool } from './tools/index.cjs';
import { MastraTTS as MastraTTS$1, TTSConfig } from './tts/index.cjs';
export { TagMaskOptions, createMastraProxy, deepMerge, delay, isVercelTool, jsonSchemaPropertiesToTSTypes, jsonSchemaToModel, makeCoreTool, maskStreamTags, resolveSerializedZodOutput } from './utils.cjs';
import { MastraVector as MastraVector$1 } from './vector/index.cjs';
export { CreateIndexArgs, CreateIndexParams, IndexStats, ParamsToArgs, QueryResult, QueryVectorArgs, QueryVectorParams, UpsertVectorArgs, UpsertVectorParams } from './vector/index.cjs';
export { getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isErrorEvent, isFinalState, isTransitionEvent, isVariableReference, mergeChildValue, recursivelyCheckForFinalState, updateStepInHierarchy } from './workflows/index.cjs';
export { AvailableHooks, executeHook, registerHook } from './hooks/index.cjs';
export { Message as AiMessageType } from 'ai';
import 'sift';
import 'json-schema';
import '@opentelemetry/api';
import './voice/index.cjs';
import '@opentelemetry/sdk-trace-base';
import 'stream';
import 'pino';
import './bundler/index.cjs';
import '@opentelemetry/core';
import './vector/filter/index.cjs';

declare class Agent<TTools extends Record<string, ToolAction<any, any, any>> = Record<string, ToolAction<any, any, any>>, TMetrics extends Record<string, Metric> = Record<string, Metric>> extends Agent$1<TTools, TMetrics> {
    constructor(config: AgentConfig<TTools, TMetrics>);
}

declare class MastraBase extends MastraBase$1 {
    constructor(args: {
        component?: RegisteredLogger;
        name?: string;
    });
}

declare abstract class MastraDeployer extends MastraDeployer$1 {
    constructor(args: {
        name: string;
        mastraDir: string;
        outputDirectory: string;
    });
}

declare abstract class MastraStorage extends MastraStorage$1 {
    constructor({ name }: {
        name: string;
    });
}

declare class Integration<ToolsParams = void, ApiClient = void> extends Integration$1<ToolsParams, ApiClient> {
    constructor();
}

declare abstract class OpenAPIToolset extends OpenAPIToolset$1 {
    constructor();
}

declare function createLogger(options: {
    name?: string;
    level?: LogLevel;
    transports?: TransportMap;
}): Logger;

declare abstract class MastraMemory extends MastraMemory$1 {
    constructor(_arg?: any);
}

declare class Tool<TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>> extends Tool$1<TSchemaIn, TSchemaOut, TContext> {
    constructor(opts: ToolAction<TSchemaIn, TSchemaOut, TContext>);
}

declare abstract class MastraTTS extends MastraTTS$1 {
    constructor(args: TTSConfig);
}

declare abstract class MastraVector extends MastraVector$1 {
    constructor();
}

declare class Workflow<TSteps extends Step<any, any, any>[] = any, TTriggerSchema extends z.ZodObject<any> = any> extends Workflow$1<TSteps, TTriggerSchema> {
    constructor(args: WorkflowOptions<TTriggerSchema>);
}

export { Agent, Integration, LogLevel, Logger, MastraBase, MastraDeployer, MastraMemory, MastraStorage, MastraTTS, MastraVector, Metric, OpenAPIToolset, RegisteredLogger, Step, TTSConfig, Tool, ToolAction, ToolExecutionContext, TransportMap, Workflow, WorkflowOptions, createLogger };
