import { z } from 'zod';
import { i as ToolExecutionContext, T as ToolAction, M as Mastra } from '../base-DIn_km7X.js';
export { C as CoreTool, V as VercelTool } from '../base-DIn_km7X.js';
import 'ai';
import '../base-BZViaFTt.js';
import '@opentelemetry/api';
import '../index-mKY1XrpK.js';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';
import 'sift';
import 'json-schema';
import '../types-CwTG2XyQ.js';
import '../deployer/index.js';
import '../bundler/index.js';
import '../vector/index.js';
import '../vector/filter/index.js';
import '../tts/index.js';
import '../voice/index.js';

declare class Tool<TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>, TOptions extends unknown = unknown> implements ToolAction<TSchemaIn, TSchemaOut, TContext, TOptions> {
    id: string;
    description: string;
    inputSchema?: TSchemaIn;
    outputSchema?: TSchemaOut;
    execute: (context: TContext, options?: TOptions) => Promise<TSchemaOut extends z.ZodSchema ? z.infer<TSchemaOut> : unknown>;
    mastra?: Mastra;
    constructor(opts: ToolAction<TSchemaIn, TSchemaOut, TContext>);
}
declare function createTool<TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>>(opts: ToolAction<TSchemaIn, TSchemaOut, TContext>): Tool<TSchemaIn, TSchemaOut, TContext, unknown>;

export { Tool, ToolAction, ToolExecutionContext, createTool };
