import { a0 as VariableReference, a7 as StepResult } from '../base-CTdONy0_.cjs';
export { a2 as ActionContext, a1 as BaseCondition, ae as DependencyCheckOutput, ak as ExtractSchemaFromStep, an as ExtractSchemaType, al as ExtractStepResult, ao as PathsToStringProps, ab as ResolverFunctionInput, ac as ResolverFunctionOutput, $ as RetryConfig, j as Step, X as StepAction, a5 as StepCondition, a6 as StepConfig, a4 as StepDef, U as StepExecutionContext, _ as StepGraph, aj as StepId, am as StepInputType, Z as StepNode, Y as StepVariableType, ad as SubscriberFunctionOutput, a3 as WhenConditionReturnValue, W as Workflow, ag as WorkflowActionParams, ah as WorkflowActions, af as WorkflowActors, a8 as WorkflowContext, aa as WorkflowEvent, a9 as WorkflowLogMessage, k as WorkflowOptions, aq as WorkflowResumeResult, ap as WorkflowRunState, ai as WorkflowState, ar as createStep } from '../base-CTdONy0_.cjs';
import 'ai';
import '../base-DboIg_Cd.cjs';
import '@opentelemetry/api';
import '../index-mKY1XrpK.cjs';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';
import 'sift';
import 'zod';
import 'json-schema';
import '../types-CwTG2XyQ.cjs';
import '../deployer/index.cjs';
import '../bundler/index.cjs';
import '../vector/index.cjs';
import '../vector/filter/index.cjs';
import '../tts/index.cjs';
import '../voice/index.cjs';

declare function isErrorEvent(stateEvent: any): stateEvent is {
    type: `xstate.error.actor.${string}`;
    error: Error;
};
declare function isTransitionEvent(stateEvent: any): stateEvent is {
    type: `xstate.done.actor.${string}`;
    output?: unknown;
};
declare function isVariableReference(value: any): value is VariableReference<any, any>;
declare function getStepResult(result?: StepResult<any>): any;
declare function getSuspendedPaths({ value, path, suspendedPaths, }: {
    value: string | Record<string, string>;
    path: string;
    suspendedPaths: Set<string>;
}): void;
declare function isFinalState(status: string): boolean;
declare function recursivelyCheckForFinalState({ value, suspendedPaths, path, }: {
    value: string | Record<string, string>;
    suspendedPaths: Set<string>;
    path: string;
}): boolean;
declare function getActivePathsAndStatus(value: Record<string, any>): Array<{
    stepPath: string[];
    stepId: string;
    status: string;
}>;
declare function mergeChildValue(startStepId: string, parent: Record<string, any>, child: Record<string, any>): Record<string, any>;
declare const updateStepInHierarchy: (value: Record<string, any>, targetStepId: string) => Record<string, any>;
declare function getResultActivePaths(state: {
    value: Record<string, string>;
    context: {
        steps: Record<string, any>;
    };
}): Map<string, {
    status: string;
    suspendPayload?: any;
}>;

export { StepResult, VariableReference, getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isErrorEvent, isFinalState, isTransitionEvent, isVariableReference, mergeChildValue, recursivelyCheckForFinalState, updateStepInHierarchy };
